March 2026
- Added the
low_data_availabilityfilter to matching endpoints. Whenexclude_low_data_availabilityis set totrue, entities with insufficient data for qualitative Skill inference are excluded from matching results. This filter is available on the following endpoints:POST /employees/{external_id}/matching_vacanciesPOST /employees/{external_id}/matching_jobsPOST /vacancies/{external_id}/matching_employeesPOST /job_architecture/jobs/{job_external_id}/matching_employeesPOST /job_architecture/jobs/{job_external_id}/matching_source_jobsPOST /job_architecture/jobs/{job_external_id}/matching_target_jobsPOST /job_architecture/job_families/{job_family_external_id}/matching_employeesPOST /companies/{external_id}/matching_employeesPOST /employees/{external_id}/metrics/employabilityPOST /export/employees/matching_vacanciesPOST /export/employees/matching_jobsPOST /export/vacancies/matching_employeesPOST /job_architecture/export/jobs/matching_employees
- Added the
active_onlyquery parameter toGET /reports/data_maturity_scan/data_improvement_actions. When set totrue, only active Employees and Jobs are included in the Data Improvement Actions. - Added the
categoryquery parameter toPOST /job_architecture/export/suggestionsandPOST /job_architecture/suggestions/interactions. Setcategory=tasksto export or interact with task suggestions instead of the default skill suggestions. - Added the
429 Too Many Requestsresponse to all API endpoints. The API now returns this status code when rate limits are exceeded. - Added a new Working History Dates action generator to the Data Improvement Actions report
(
GET /reports/data_maturity_scan/data_improvement_actions). It identifies Working History Skill Events where a duration cannot be calculated due to missingstart_date, missingend_date, or identical start and end dates. Examples are grouped by Employee. - The
include=proficiency_levelparameter on Job and Job Family Skill Profile endpoints now returnsgoverned_proficiency_levelandinferred_proficiency_levelfields (instead ofproficiency_level). Similarly,include=proficiency_floatreturnsgoverned_proficiency_floatandinferred_proficiency_float, andinclude=criticalreturnsgoverned_criticalandinferred_critical. This applies to the following endpoints:GET /job_architecture/jobs/{job_external_id}/skill_profileGET /job_architecture/job_families/{job_family_external_id}/skill_profilePOST /job_architecture/export/jobs/skill_profilesPOST /job_architecture/export/job_families/skill_profiles
- The
validation_statefield is now always included on each Skill in the response of the above endpoints. Theinclude=skill_validation_stateparameter is no longer needed. - Suggested Skills (with
validation_state: "suggested") are now returned alongside governed Skills in the Skill Profile response for the above endpoints. - Added the
strictquery parameter toPOST /employees/{employee_external_id}/skill_events. Whenstrictis enabled, Skill Event creation will fail if the referenced Job has an empty Skill Profile. - Added the
end_active_jobsquery parameter toPOST /employees/{employee_external_id}/skill_events. When enabled, any currently active working history Skill Event (without anend_date) for the Employee will be ended automatically when the new Skill Event is created.
February 2026
- Added the
include=business_relevantquery parameter to thePOST /export/skillsendpoint to include whether a Skill is marked as business relevant. - Added the
output_skills_sortingquery parameter toGET /employees/{external_id}/skill_profileto sort Skills alphabetically or by decreasing confidence. - The
output_skills_sortingbody parameter onPOST /export/employees/skill_profilesnow also works when an external vendor is specified. - Added the
vocab_languagequery parameter to the following matching endpoints to specify the display language for Skill names in the response:POST /employees/{external_id}/matching_vacanciesPOST /employees/{external_id}/matching_jobsPOST /employees/{external_id}/matching_job_familiesGET /employees/{employee_external_id}/match_assigned_positionGET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/matchGET /employees/{employee_external_id}/jobs/{job_external_id}/matchGET /employees/{employee_external_id}/job_families/{job_family_external_id}/matchPOST /vacancies/{external_id}/matching_employeesPOST /job_architecture/jobs/{job_external_id}/matching_employeesGET /job_architecture/jobs/{job_external_id}/market_alignmentGET /job_architecture/jobs/{job_external_id}/market_skill_profilesPOST /job_architecture/jobs/{job_external_id}/matching_source_jobsPOST /job_architecture/jobs/{job_external_id}/matching_target_jobsPOST /job_architecture/job_families/{job_family_external_id}/matching_employeesPOST /export/employees/match_assigned_positionPOST /export/vacancies/matching_employeesPOST /export/employees/matching_vacanciesPOST /export/employees/matching_jobsPOST /job_architecture/export/jobs/matching_employeesPOST /job_architecture/export/jobs/market_alignmentPOST /job_architecture/export/job_families/suggested_skill_profilesPOST /job_architecture/export/suggestionsPOST /employees/{employee_external_id}/recommended_coursesGET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_coursesPOST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_coursesPOST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_coursesPOST /skills/lookupPOST /export/employees/skill_profilesPOST /job_architecture/export/jobs/suggested_skill_profilesGET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/gap
- Added the Work Intelligence Task Profile endpoints (experimental):
GET /tasks/search- Search for Tasks using a fuzzy text query with AI impact informationGET /employees/{employee_external_id}/task_profile- Retrieve an Employee’s Task Profile with optional AI impact and source event informationGET /job_architecture/jobs/{job_external_id}/task_profile- Retrieve a Job’s Task Profile with optional AI impact and source data informationPOST /export/employees/task_profiles- Export Task Profiles for all Employees with pagination and filtersPOST /job_architecture/export/jobs/task_profiles- Export Task Profiles for all Jobs with pagination and filtersPATCH /employees/{employee_external_id}/task_profile- Provide feedback on tasks in an Employee’s Task Profile, setting each task’svalidation_statetovalidatedorrejectedPATCH /job_architecture/jobs/{job_external_id}/task_profile- Provide feedback on tasks in a Job’s Task Profile, setting each task’svalidation_statetovalidatedorrejectedPOST /export/tasks- Bulk export of Tasks with optionalai_impactandhierarchyincludes. Supports filtering by a list of task IDs via thetask_id_is_in_listfilter.
- Added the
inferred_proficiency_levelfield to the return of thePOST /employees/suggestions/skillsendpoint wheninclude=proficiencyis set as a query parameter - Added the
include=inference_enabledquery parameter to indicate whether the Skill can be inferred, applicable to the following endpoints:GET /taxonomy/skillsGET /taxonomy/skills/{skill_id}GET /taxonomy/exportPOST /export/skills
January 2026
- Added the
vocab_languagequery parameter to the following endpoints to specify the display language for Skill names in the response:POST /job_architecture/jobs/metrics/adoption_metricsPOST /job_architecture/export/job_families/skill_profilesPOST /job_architecture/export/jobs/skill_profilesPOST /job_architecture/export/jobs/market_skill_profilesPOST /employees/metrics/adoption_metrics
- Added the
merge_requestSkill Event type for Employees. When creating or updating Skill Events viaPOST /employees/{employee_external_id}/skill_eventsorPATCH /employees/{employee_external_id}/skill_events/{skill_event_external_id}, theevent_typecan now bemerge_requestwith content containingtitle,description, andcommits(list of objects withmessage). Merge request events are processed asynchronously to infer skills from the title, description, and commit messages. - Changed the
POST /taxonomy/skillsendpoint to require write_skills scope access. - Added the
DELETE /taxonomy/skills/{skill_id}endpoint which allows for deleting custom Skills from the system. This endpoint requires write_skills scope access. - Added the
vocab_languagequery parameter to thePATCH /taxonomy/skills/{skill_id}endpoint to support updating descriptions and names of Skills in different languages. - Added the
skill_sourceto the output of the following endpoints:GET /taxonomy/skills/{skill_id}GET /taxonomy/skillsGET /taxonomy/exportPOST /export/skills
- Added the
default_skill_nameanddefault_skill_descriptionto the output of the following endpoints:GET /taxonomy/skills/{skill_id}GET /taxonomy/skillsGET /taxonomy/export
- Added the
include=default_skill_nameandinclude=default_skill_descriptionto thePOST /export/skillsendpoint to add thedefault_skill_nameanddefault_skill_descriptionto the output. - Added the
filtersbody parameter with theskill_id_is_in_listandskill_sourcefilters to thePOST /export/skillsendpoint. - Added pagination to the
POST /export/skillsendpoint using thelimitandstarting_afterbody parameters. - Added the
external_vendorquery parameter to theGET /taxonomy/changesendpoint to support retrieving Taxonomy Changes in an external vendor’s Skill vocabulary. - Added the
create_skillanddelete_skilloperation types to theGET /taxonomy/changesandPOST /taxonomy/applyendpoints. - Added the
POST /taxonomy/changesendpoint. - Added the
vocab_update_add_skilloperation type to theGET /taxonomy/changesandPOST /taxonomy/changesendpoint.
December 2025
- Added the
include_overqualifiedandmin_critical_skills_match_ratioparameters to the employee-job matching endpoints to filter matches based on their overqualification status and on the matching ratio of critical skills. - Enhanced the employee-job matching and match endpoints
(
POST /employees/{external_id}/matching_jobs,POST /job_architecture/jobs/{job_external_id}/matching_employees,POST /matching/export/employees/matching_jobs,POST /job_architecture/export/jobs/matching_employees,GET /employees/{employee_external_id}/match_assigned_position,GET /employees/{employee_external_id}/jobs/{job_external_id}/match, andPOST /export/employees/match_assigned_position) to automatically include additional fields when proficiency matching or criticality matching is enabled on the tenant. When proficiency matching is enabled, responses includeoverqualifiedstatus (for matching endpoints only),skill_proficiency, andadjacent_skill_proficiencyfields. When criticality matching is enabled, responses includecriticalandgap_impactfields. - Added the
includequery parameter to theGET /reports/data_maturity_scan/job_maturity_overviewandGET /reports/data_maturity_scan/employee_maturity_overviewendpoints to include additional metrics in the response.- For Jobs:
job_data_countanddata_distribution. - For Employees:
valid_assigned_position,has_business_data, andsufficient_working_history.
- For Jobs:
- Removed
MIN_SOURCE_CONFIRMATIONfrom the list of possible reasons in the Data Maturity Scan maturity overview endpoints. - Added the
is_activequery parameter to theGET /reports/data_maturity_scan/job_maturity_overviewandGET /reports/data_maturity_scan/employee_maturity_overviewendpoints to filter entities by their active status. - Removed the
force_recalculateparameter from theGET /reports/data_maturity_scan/job_maturity_overviewandGET /reports/data_maturity_scan/employee_maturity_overviewendpoints as the underlying data is now updated continuously.
November 2025
- Added the
low_data_availabilityquery paremeter to theGET /employeesendpoint. - Added the
low_data_availabilityandjob_familyquery parameters to theGET /job_architecture/jobsendpoint. - Added the
job_countto the output of theGET /job_architecture/exportendpoint.
October 2025
- Added the
external_vendorquery parameter to thePUT /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}andDELETE /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}endpoints to support applying Taxonomy Changes in an external vendor’s Skill vocabulary. - Added the
external_vendorquery parameter to theGET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills,GET /taxonomy/exportandGET /taxonomy/skillsendpoints to display Skills in an external vendor’s Skill vocabulary. - Added the
include=propertiesquery parameter to the following endpoints to show properties of each Skill:GET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills(List skills in a skill cluster)GET /taxonomy/skills(List all skills)POST /export/skills(Export all skills)GET /taxonomy/export(Taxonomy export)GET /taxonomy/skills/{skill_id}(Get Skill endpoint)GET /employees/{external_id}/skill_profile(Get Employee Skill profile)GET /job_architecture/job_families/{job_family_external_id}/skill_profile(Get Skill Profile Job Family)GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile(Get suggested skill profile Job Family)GET /job_architecture/jobs/{job_external_id}/skill_profile(Get Skill Profile Job)GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile(Get suggested skill profile Job)GET /job_architecture/jobs/{job_external_id}/market_skill_profiles(Get external market profiles for Job)POST /export/employees/skill_profiles(Export Employee Skill Profile)POST /job_architecture/export/jobs/skill_profiles(Export Job Skill Profile)POST /job_architecture/export/jobs/suggested_skill_profiles(Export Suggested Job Skill Profile)POST /job_architecture/export/jobs/market_skill_profiles(Export Market Job Skill Profile)POST /job_architecture/export/job_families/skill_profiles(Export Job Family Skill Profile)POST /job_architecture/export/job_families/suggested_skill_profiles(Export Job Family Skill Suggested Profile)
- Added the
propertiesquery parameter to the following endpoints to filter skills by their properties:POST /employees/suggestions/skills(Get suggestions, validated and rejected Skills for selected Employees)GET /skills/search(Search for Skills similar to the text provided) The parameter uses the formatproperties[property_name]=valueto filter skills that have a specific property with a specific value. For example,properties[sap_status]=activewill only return skills that have thesap_statusproperty set toactive.
- Added the
external_vendorquery parameter to thePATCH /taxonomy/skills/{skill_id}endpoint to support updating descriptions and properties of Skills in an external vendor’s Skill vocabulary. - Added the
POST /taxonomy/skillsendpoint which allows for creating new Skills in the system, either in TechWolf Skill vocabulary or an external vendor’s Skill vocabulary. This endpoint requires admin scope access. - Added the
restorequery parameter to thePOST /employeesendpoint to enable support for restoration of soft deleted Employees during the grace period. - Added the
include=proficiencyandinclude=job_criticalto the query parameters of theGET /employees/{employee_external_id}/suggestions/skillsendpoint to allow theself_rated_proficiency_levelandis_job_critical_skillattributes to be included in the response. - Added the
external_vendorquery parameter to all matching endpoints and some additional endpoints:POST /employees/{external_id}/matching_vacanciesPOST /vacancies/{external_id}/matching_employeesPOST /employees/{external_id}/matching_jobsPOST /job_architecture/jobs/{external_id}/matching_employeesPOST /job_architecture/jobs/{external_id}/matching_source_jobsPOST /job_architecture/jobs/{external_id}/matching_target_jobsPOST /employees/{external_id}/matching_job_familiesPOST /job_architecture/job_families/{external_id}/matching_employeesPOST /employees/{external_id}/matching_companiesPOST /companies/{external_id}/matching_employeesGET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/matchGET /employees/{employee_external_id}/jobs/{job_external_id}/matchGET /employees/{employee_external_id}/job_families/{job_family_external_id}/matchGET /employees/{employee_external_id}/match_assigned_positionPOST /employees/{employee_external_id}/recommended_coursesPOST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_coursesPOST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_coursesPOST /export/employees/match_assigned_positionPOST /export/employees/matching_jobsPOST /export/employees/matching_vacanciesPOST /export/vacancies/matching_employeesPOST /job_architecture/export/jobs/matching_employeesPOST /employees/searchPOST /companies/searchPOST /vacancies/searchPOST /skills/lookup
September 2025
- Added the
GET /export/vacancies/skill_profilesendpoint to paginate through all Skill Profiles of Vacancies in the API in bulk. - Added support to display Skill Profiles in external vendor Skills with the
response_format=listresponse format in thePOST /export/courses/skill_profilesandPOST /export/vacancies/skill_profiles - Added support to display hierarchical Skill profiles with the
response_format=hierarchyresponse format, for thePOST /export/courses/skill_profilesand thePOST /export/vacancies/skill_profilesendpoints, both for TechWolf Skills and external vendor Skills. - Added an experimental
POST /export/skillsendpoint that exports the information for all Skills in the system. - Added the
POST /export/employees/matching_jobsendpoint to export the top matching Jobs for Employees. - Added the
POST /job_architecture/export/jobs/matching_employeesendpoint to export the top matching Employees for Jobs. - Added the
POST /export/employees/matching_vacanciesendpoint to export the top matching Vacancies for Employees. - Added the
POST /export/vacancies/matching_employeesendpoint to export the top matching Employees for Vacancies. - Added the
external_vendorquery parameter to thePOST /taxonomy/applyendpoint to support applying Taxonomy Changes in an external vendor’s Skill vocabulary.
August 2025
- Added instructions on how to set up OAuth authentication to the Workday Skill Sync Integration documentation.
- Added support to display descriptions and domains for external vendor Skills
in the
GET /taxonomy/skills/{skill_id}endpoint. - Added support to display Skill Profiles in external vendor Skills with the
response_format=hierarchyresponse format in theGET /employees/skill_profilesandPOST /export/employees/skill_profilesendpoints. - Added support to display hierarchical Skill profiles with the
response_format=hierarchyresponse format, for theGET /courses/{course_external_id}/skill_profileand theGET /vacancies/{vacancy_external_id}/skill_profileendpoints, both for TechWolf Skills and external vendor Skills.
July 2025
- Add support to display adoption metrics in external vendor Skills in the
POST /job_architecture/jobs/metrics/adoption_metricsandPOST employees/metrics/adoption_metricsendpoints. - Add support to display Skill Profiles in external vendor Skills with the
response_format=hierarchyresponse format in theGET /job_architecture/jobs/skill_profilesandGET /job_architecture/job_families/skill_profilesendpoints. - Add support to display Skill Profiles in external vendor Skills in the
POST /job_architecture/export/jobs/skill_profilesandPOST /job_architecture/export/job_families/skill_profilesendpoints. - Add support to display the market Skill Profiles in external vendor Skills in
the
GET /job_architecture/jobs/market_skill_profilesandPOST /job_architecture/export/jobs/market_skill_profilesendpoints.
June 2025
- Update the
includeparameter in the
GET /employees/{employee_external_id}/skill_profileendpoint to allowinferred_proficiency_levelandinferred_proficiency_floatto be included withresponse_format=list. - Update the
includebody parameter in the
POST export/employees/skill_profilesendpoint to allow theself_rated_proficiency_level,self_rated_proficiency_float,inferred_proficiency_levelandinferred_proficiency_floatfields to be included. - Add the
GET /job_architecture/issuesendpoint to fetch Job issues. - Add the
GET /job_architecture/issues/summaryendpoint to get a summary of the number of Job issues per type. - Add the
include=issuesparameter to theGET /job_architecture/exportendpoint. - Add the
GET /job_architecture/changesendpoint to fetch Job architecture changes. - Add the
POST /job_architecture/changesendpoint to start the batch generation of Job changes. - Add the
PATCH /job_architecture/changesendpoint to bulk update multiple job architecture changes at once. - Add the
GET /job_architecture/changes/summaryendpoint to get a summary of the number of Job changes per type. - Add the
POST /job_architecture/changes/previewendpoint to generate a preview Job change. - Add the
GET /job_architecture/changes/{change_id}endpoint to get detailed information about a specific Job architecture change. - Add the
PATCH /job_architecture/changes/{change_id}endpoint to update a specific Job architecture change with new data.
May 2025
- Add the
self_rated_proficiency_levelandself_rated_proficiency_floatattributes to the request body of thePATCH /employees/{employee_external_id}/skill_profileendpoint for theskillsandexternal_vendor_skillsfeedback formats. - Update the
includeparameter in theGET /employees/{employee_external_id}/skill_profileendpoint to allowself_rated_proficiency_levelandself_rated_proficiency_floatto be included withresponse_format=list.
April 2025
- Add the
GET /job_architecture/jobs/market_alignmentandPOST job_architecture/export/jobs/market_alignmentendpoints.
March 2025
- Add
ticket_systemfield to theticketevent type to be able to specify the ticketing system where the ticket originated from. This field is important for skill inference as different models may be used for different ticketing systems.
February 2025
- Allow patching of Organisational Units with
parent_id=nullto become a root Organisational Unit in thePATCH /organisational_units/{external_id}endpoint. - Add
GET /job_architecture/peer_groupsendpoint.
January 2025
- Add the optional
proficiency_floatfield to the request body of thePATCH /job_architecture/jobs/{job_external_id}/skill_profileandPATCH /job_architecture/job_families/{job_family_external_id}/skill_profileendpoints. - Add the
include=proficiency_floatoption to the include query parameter of theGET /job_architecture/jobs/{job_external_id}/skill_profileandGET /job_architecture/job_families/{job_family_external_id}/skill_profileendpoints. - Add the
include=proficiency_floatoption to the include body parameter of thePOST /job_architecture/export/jobs/skill_profilesandPOST /job_architecture/export/job_families/skill_profilesendpoints. - Add the
external_vendorquery parameter to thePOST /employees/suggestions/skillsendpoint - Remove the
strictquery parameter from thePOST /employees/suggestions/skillsendpoint - Add the
include=criticaloption to the include query parameters to theGET /job_architecture/jobs/{job_external_id}/suggested_skill_profileendpoint. - Update the
includeparameter in theGET /job_architecture/jobs/{job_external_id}/skill_profileandGET /job_architecture/job_families/{job_family_external_id}/skill_profileendpoints to allowproficiency_levelandcriticalto be included withresponse_format=hierarchy - Make the
skill_cluster_descriptionoptional and set it to an empty string by default. Additionally, save any placeholder value or a description that exactly matches the Skill Cluster name as an empty string.
December 2024
- Add the
include=proficiency_levelandinclude=criticaloptions to the include body parameter of thePOST /job_architecture/export/jobs/skill_profilesendpoint. - Add the
include=proficiency_levelandinclude=criticaloptions to the include body parameter of thePOST /job_architecture/export/job_families/skill_profilesendpoint. - Add the
external_vendorquery parameter to theGET /skills/searchendpoint. - Return the default proficiency level when no proficiency level is set in the
GET /job_architecture/jobs/{job_external_id}/skill_profile,POST /job_architecture/export/jobs/skill_profiles,GET /job_architecture/job_families/{job_family_external_id}/skill_profile, andPOST /job_architecture/export/job_families/skill_profilesendpoints. - Add the
force_recalculatequery parameter to all report endpoints.
November 2024
- Add
limit,offset, andupdate_low_data_availabilityquery parameters to theGET /reports/data_maturity_scan/employee_maturity_overviewandGET /reports/data_maturity_scan/job_maturity_overviewendpoints. - Add
include=skill_cluster_descriptionparameter to theGET /taxonomy/skill_clustersendpoint. - Add
skill_cluster_descriptionresponse body field and query parameterinclude=skill_cluster_descriptionto theGET taxonomy/exportendpoint. - Add the
PATCH /taxonomy/skills/{skill_id}endpoint. - Return the custom Skill description in the
GET /taxonomy/skills,GET /taxonomy/skills/{skill_id}, andGET /taxonomy/exportendpoints if one is set. - Add the
update_skilloperation type to theGET /taxonomy/changesandPOST /taxonomy/applyendpoints. - Add
include=skill_descriptionparameter to the/taxonomy/skill_clusters/{skill_cluster_external_id}/skillsendpoint. - Add
GET /job_architecture/jobs/{job_external_id}/market_skill_profilesandPOST /job_architecture/export/jobs/market_skill_profilesendpoints. - Add the
proficiency_levelandcriticalattributes to the request body of thePATCH /job_architecture/jobs/{job_external_id}/skill_profileendpoint. - Add the
proficiency_levelandcriticalattributes to the request body of thePATCH /job_architecture/job_families/{job_family_external_id}/skill_profileendpoint. - Add the
include=proficiency_levelandinclude=criticalquery parameters to theGET /job_architecture/jobs/{job_external_id}/skill_profileandGET /job_architecture/job_families/{job_family_external_id}/skill_profileendpoints.
October 2024
- Add
POST /job_architecture/jobs/metrics/adoption_metricsendpoint. - Add
POST /employees/metrics/adoption_metricsendpoint. - Add
source_datatoskillsreturned inGET/job_architecture/jobs/{job_external_id}/skill_profileandGET/job_architecture/job_families/{job_family_external_id}/skill_profileendpoints. - Add CRUD operations for Custom Properties and Custom Property Definitions for Organisational Units.
- Add
activeattribute to the Organisational Unit entity. - Add
hierarchyas a possible response format for theGET /employees/{employee_external_id}/skill_profileendpoint. - Add
include=custom_propertiesparameter toGET/job_architecture/job_families,GET/job_architecture/jobs,GET/courses,GET/vacancies,GET/employees,GET/companies,GET/taxonomy/domains,GET/taxonomy/subdomains,GET/taxonomy/skill_clustersandGET/taxonomy/skillsendpoints. - Add
output_skills_sortingparameter toGET /job_architecture/export/job_families/suggested_skill_profiles,GET /job_architecture/export/job_families/skill_profiles,GET /job_architecture/export/jobs/suggested_skill_profilesandGET /job_architecture/export/jobs/skill_profilesendpoints. - Deprecate the
GET /job_architecture/jobs/{job_external_id}/market_skill_profileendpoint. - Add the
vocab_update_rename_skill,vocab_update_merge_skill, andvocab_update_remove_skilloperation types to theGET /taxonomy/changesendpoint.
September 2024
- Add
GET /job_architecture/jobs/{job_external_id}/matching_source_jobsendpoint. - Add
GET /job_architecture/jobs/{job_external_id}/matching_target_jobsendpoint. - Add error code 400 as possible response code for
DELETE /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}forDELETE /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}when trying to delete Skill Profile Feedback instances and respective examples for this - Add
GET /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}endpoint. - Add
skill_profile_feedbackas adata_typeto the Job Family Profile Data of a Job Family. This newdata_typemay be included the responses ofGET /job_architecture/job_families/{job_family_external_id}/profile_dataandGET /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}. - Add
GET /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}endpoint. - Add
skill_profile_feedbackas adata_typeto the Job Profile Data of a Job. This newdata_typemay be included the responses ofGET /job_architecture/jobs/{job_external_id}/profile_dataandGET /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}. - Add
skill_idquery parameter to theGET /employeesandGET /organisational_units/exportendpoints that allows for filtering the returned entities on whether their Skill Profile contains a certain Skill. - Add an experimental
POST /employees/suggestions/skillendpoint that allows to find suggested, validated, and rejected Skill suggestions for Employees. - Add
en_us,de, andfrto the list of supported values for thevocab_languagequery parameters in theGET /{entity}/{external_id}/skill_profile,GET /taxonomy/skill_clusters/{external_id}/skills,GET /taxonomy/skill/, andGET /taxonomy/export/endpoints. - Add the
low_data_availability_flagto the possible values of theincludequery parameter of theGET /organisational_units/exportandGET /job_architecture/exportendpoints. - Add
skill_idquery parameter to theGET /job_architecture/exportendpoint that allows for filtering the entities on whether their Skill Profile contains a certain Skill. - Add
source_coveragemetric to the response of theGET /reports/data_maturity_scan/job_quality_matrixandGET /reports/data_maturity_scan/employee_quality_matrixendpoints. - Add
skill_name,skill_cluster_name,subdomain_name, anddomain_nameto the output ofGET /taxonomy/changes. - Add
subdomain_nameto output of thePOST /job_architecture/export/jobs/skill_clusters,POST /export/employees/skill_clustersandGET /employees/<employee_id>/skill_profile?response_format=skill_clustersendpoints for 4-level Taxonomies. - Add
source_datato the output ofGET /jobs/{job_external_id}/suggested_skill_profile,GET /job_families/{job_family_external_id}/suggested_skill_profile,POST /job_architecture/export/jobs/suggested_skill_profiles, andPOST /job_architecture/export/job_families/suggested_skill_profiles. - Add endpoints
POST /integrations/file_load_taskto upload a CSV-file from S3 into the system andGET /integrations/file_load_task/{task_id}to get the status of the File Load Task.
August 2024
- Add
skill_validation_stateto the possible values of theincludequery parameter of theGET /job_architecture/export/jobs/skill_profiles,GET /job_architecture/export/jobs/suggested_skill_profiles,GET /job_architecture/export/job_families/skill_profiles, andGET /job_architecture/export/job_families/suggested_skill_profilesendpoints. - Add
skill_validation_stateto the possible values of theincludequery parameter of theGET /job_architecture/job_families/{job_family_external_id}/skill_profileandGET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profileendpoints. - Add
skill_validation_stateto the possible values of theincludequery parameter of theGET /job_architecture/jobs/{job_external_id}/skill_profileandGET /job_architecture/jobs/{job_external_id}/suggested_skill_profileendpoints. - Add Employee and Job key metric reports.
GET /reports/employees/key_metricsGET /reports/jobs/key_metricsGET /job_architecture/jobs/{job_external_id}/suggested_skill_profile
July 2024
- Add CRUD operations for Organisational Units.
- Add export endpoint
GET /organisational_units/exportto get the full hierarchy of the Organisational Units including thetotal_nr_of_employeesfield. - Added
organisational_unitfield to Employees that is returned inGET /employeesandGET /employees/{external_id}. - Added query parameter
organisational_unittoGET /employeesto filter Employees on their linked Organisational Unit. - Added the
low_data_availability_flagto the possible values of theincludequery parameter of theGET /employees/{external_id}/skill_profileandGET /job_architecture/jobs/{job_external_id}/skill_profileendpoints. - Added the
low_data_availability_flagto the possible values of theincludebody parameter of thePOST /export/employees/skill_profilesandPOST /job_architecture/export/jobs/skill_profilesendpoints that allows including the low data availability flag in the output. - Added the option to upload files of data type
job_descriptionas Job Profile Data. Available in thePOST /job_architecture/jobs/{job_external_id}/profile_dataandPATCH /job_architecture/jobs/{job_external_id}/profile_dataendpoint. - Added the option to upload files of data type
job_family_descriptionas Job Family Profile Data. Available in thePOST /job_architecture/job_families/{job_family_external_id}/profile_dataandPATCH /job_architecture/job_families/{job_family_external_id}/profile_dataendpoint.
June 2024
- Add
low_data_availabilityattribute to the Employee entity. - Add
low_data_availabilityattribute to the Job entity. - Added Data Maturity Scan reporting endpoints:
GET /reports/data_maturity_scan/employee_quality_matrixGET /reports/data_maturity_scan/job_quality_matrixGET /reports/data_maturity_scan/employee_maturity_overviewGET /reports/data_maturity_scan/job_maturity_overviewGET /reports/data_maturity_scan/data_improvement_actions
- Added
rejected_skillsto the possible values of theincludebody parameter of thePOST /export/employees/skill_profilesendpoint that allows including rejected Skills in the output.
May 2024
- Add
GET /employees/{employee_external_id}/jobs/{job_external_id}/matchendpoint that allows to match an Employee with a Job. - Add
POST /employees/{employee_external_id}/matching_jobsendpoint that allows to find the top matching Jobs for an Employee. - Add
POST /job_architecture/jobs/{external_id}/matching_employeesendpoint that allows to find the top matching Employees for a Job. - Add
POST /job_architecture/job_families/{external_id}/matching_employeesendpoint that allows to find the top matching Employees for a Job Family. - Add
POST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_coursesendpoint that recommends Courses to address the Skill Gap between the Employee and the Job. - Add
GET /employees/{employee_external_id}/job_families/{job_family_external_id}/matchendpoint that allows to match an Employee with a Job Family. - Add
GET /employees/{employee_external_id}/match_assigned_positionendpoint that allows to match an Employee with their assigned position. - Add
POST /export/employees/match_assigned_positionendpoint that allows to match Employees with their assigned position in bulk. - Add
output_skills_sortingbody parameter to thePOST /export/employees/skill_profilesendpoint, allowingalphabeticalto sort the Skills in the resulting profiles alphabetically, orconfidenceto sort them by decreasing confidence. - Add
is_activefilter to thePOST /job_architecture/export/jobs/skill_profiles,POST /job_architecture/export/jobs/suggested_skill_profiles,POST /job_architecture/export/jobs/skill_clusters,POST /job_architecture/export/job_families/skill_profiles,POST /job_architecture/export/job_families/suggested_skill_profiles,POST /export/employees/skill_profiles,POST /export/employees/skill_clusters,POST /export/courses/skill_profilesexport endpoints to only include active or inactive entities in the result based on the filter value. - Add
is_activequery parameter to theGET /job_architecture/exportexport endpoint to only include active or inactive jobs and job families in the result. - Add
is_activequery parameter to theGET /employees,GET /vacancies,GET /courses,GET /job_architecture/jobs,GET /job_architecture/job_familieslist endpoints to only include active or inactive entities in the result. - Add
include=entityandinclude=custom_propertiesquery parameter toPOST /employees/{external_id}/matching_job_families. - Removed
Coreas a possible value of theskill_typefield of a Skill in the Job Family Skill Profile. - Add
response_format=explainedquery parameter toPOST /employees/{external_id}/matching_vacancies,POST /vacancies/{external_id}/matching_employeesandPOST /employees/{external_id}/matching_job_families, that includesmissing_skillsandpresent_skillsresponse body fields as additional information about the matches. - Add
include=adoptionquery parameter to thetaxonomy/skills/{skill_id}endpoint to include the adoption of the Skill in Jobs and Employees in the response. - Add
assigned_position_idattribute to the Employee entity. - Allow
PATCH /employees/<employee_id>/skill_events/<event_id>on theresume_document,feedback,goal,project,certificate,learningandticketevent types.
April 2024
- Add
activeattribute to Course, Employee, Job and Job Family entity. - Add support to display Skill Profiles in external vendor Skills on GET, using
the query parameter
external_vendor, for Course, Employee, Job and Job Family entities. Usage: GET /employee/{employee_id}/skill_profile?external_vendor={external_vendor}GET /job_architecture/jobs/{job_external_id}/skill_profile?external_vendor={external_vendor}GET /job_architecture/job_families/{job_family_external_id}/skill_profile?external_vendor={external_vendor}GET /courses/{external_id}/skill_profile?external_vendor={external_vendor}- Add support to provide feedback to Skill Profiles in external vendor Skills,
using the query parameter
feedback_format=external_vendor_skills, for Course, Employee, Job and Job Family entities. Usage:PATCH /employee/{employee_id}/feedback_format=external_vendor_skillsPATCH /job_architecture/jobs/{job_external_id}/skill_profile?feedback_format=external_vendor_skillsPATCH /job_architecture/job_families/{job_family_external_id}/skill_profile?feedback_format=external_vendor_skillsPATCH /courses/{external_id}/skill_profile?feedback_format=external_vendor_skills
- Deprecate
GET /employee{employee_external_id}/vacancy/{vacancy_external_id}/recommend_courses - Add
POST /employee{employee_external_id}/vacancy/{vacancy_external_id}/recommend_coursesendpoint which makes use of an updated and improved methodology to recommend Courses. - Update
POST /employee{employee_external_id}/recommend_coursesendpoint in line with the updated and improved methodology to recommend Courses.
March 2024
- Add
POST /job_architecture/export/jobs/suggested_skill_profilesendpoint to paginate through all suggested Skill Profiles of Jobs in the API in bulk. - Add
POST /job_architecture/export/job_families/suggested_skill_profilesendpoint to paginate through all suggested Skill Profiles of Job Families in the API in bulk. - The
domain_namespacequery parameter is available on thejob_architecture/export/jobs/skill_profilesandjob_architecture/export/job_families/skill_profilesendpoints. - When requesting an Employee Skill Profile through either
GET /employee/{employee_id}/skill_profileorPOST /export/employees/skill_profiles, the response will now include thesource_eventsfield on all Skills, when requesting sources.source_eventsprovides more insights into which Skill Event contributes to which skill.
February 2024
- Add
GET /employees/{employee_id}/skill_events/{skill_event_id}endpoint to be able to get a single Skill Event of an Employee. - Add
POST /job_architecture/export/jobs/skill_profilesendpoint to paginate through all Skill Profiles of Jobs in the API in bulk. - Add
POST /job_architecture/export/job_families/skill_profilesendpoint to paginate through all Skill Profiles of Job Families in the API in bulk. - Add support for
ticketSkill Events. - Add support for
skill_notesJob Profile Data. - Deprecated the
POST /job_architecture/export/job/skill_clustersendpoint and added thePOST /job_architecture/export/jobs/skill_clusters.
January 2024
- A
sourceattribute can now be added to each Skill Profile feedback endpoint to indicate the source of the feedback. See allPATCH /{entity}/{entity_id}/skill_profileendpoints. - An
includequery parameter can now be added to theGET /employees/{external_id}/skill_profileendpoint to include the source Skill Events where the reported Skills are inferred from. - Add
POST /export/employees/skill_profilesendpoint to get the Skill profiles of all Employees in the API through pagination. - Add the
POST /skills/lookupendpoint to get corresponding UUIDs for a list of Skill names. - Add
GET /job_architecture/job/{job_id}/suggested_skill_profileto get suggested skills for a Job. - Add
GET /job_architecture/job_families/{job_family_id}/suggested_skill_profileto get suggested skills for a Job Family.
December 2023
- Add the
include=custom_propertiesquery parameter to theGET /taxonomy/skills/{skill_id}endpoint to include the Custom Properties of a Skill in the response. - Add the
include=custom_propertiesquery parameter to theGET /taxonomy/skill_clusters/{skill_cluster_id}endpoint to include the Custom Properties of Skill Clusters in the response. - Add the
include=custom_propertiesquery parameter to theGET /taxonomy/subdomains/{subdomain_id}endpoint to include the Custom Properties of Subdomains in the response. - Add the
include=custom_propertiesquery parameter to theGET /taxonomy/domains/{domain_id}endpoint to include the Custom Properties of Domains in the response. - Introduced a
skill_idfield alongside Skill names in our API endpoints to avoid ambiguities and conflicts. All endpoints that return Skill names will now also return askill_idfield. Using Skill names in a request body to denote an update of a Skill is deprecated, please useskill_idinstead. - Mark all
/occupationsendpoints as deprecated. - Add the
vocab_languagequery parameter to theGET /{entity}/{external_id}/skill_profileendpoints to specify the language of the Skill names in the Skill Profile response. - Add the
vocab_languagequery parameter to theGET /taxonomy/skill_clusters/{external_id}/skillsendpoint to specify the language of the Skill names in the Skill Profile response. - Add the
vocab_languagequery parameter to theGET /taxonomy/skill/endpoints to specify the language of the Skill names in the Skill Profile response. - Add the
vocab_languagequery parameter to theGET /taxonomy/export/endpoints to specify the language of the Skill names in the Skill Profile response.
November 2023
- Add the
domain_namespacequery parameter toGET /job_architecture/jobs/{job_external_id}/skill_profileendpoint to express the Skill Domains in either TechWolf or Taxonomy Domains. - Add the
domain_namespacequery parameter toGET /job_architecture/jobs/{job_external_id}/market_skill_profileendpoint to express the Skill Domains in either TechWolf or Taxonomy Domains. - Add the
domain_namespacequery parameter toGET /job_architecture/job_families/{job_family_external_id}/skill_profileendpoint to express the Skill domains in either TechWolf or Taxonomy Domains. - Add
domain_nameresponse body field anddomain_namespacequery parameter toGET /taxonomy/skills/{skill_id}endpoint to express the Skill Domains in either TechWolf or Taxonomy Domains. - Add
domain_nameresponse body field anddomain_namespacequery parameter toGET /taxonomy/skillsendpoint to express the Skill Domains in either TechWolf or Taxonomy Domains. - Add the
domain_namespacequery parameter toGET /skills/searchendpoint to express the Skill Domains in either TechWolf or Taxonomy Domains. - Add
POST /export/courses/skill_profilesendpoint to paginate through all Skill Profiles of Courses in the API in bulk. - Add
last_updated_with_taxonomy_changesfilter to the POST/export/employees/skill_clustersand POST/job_architecture/export/job/skill_clustersendpoints. - Add
next_starting_afterfield to response ofPOST /export/employees/skill_clustersendpoint.
October 2023
- Add
GET /job_architecture/jobs/{job_external_id}/market_skill_profileendpoint to get the market Skill Profile of a Job. - Update request sample for
POST /reports/job_architecture_benchmarkendpoint. - Mark all
/skill_clustersendpoints as deprecated.
September 2023
- Add
skill_descriptionresponse body field and query parameterinclude=skill_descriptiontoGET taxonomy/export. - Add a
vacancydata type for Job Profile Data. Available in the POST/job_architecture/jobs/{job_external_id}/profile_dataendpoint. - Add the
taxonomy/changesendpoint to view all changes to the Taxonomy within a certain timeframe. - Add
skill_idandskill_sourcesto Skills of response body field inGET export/employees/skill_clusters. - Add a
POST /job_architecture/export/job/skill_clustersendpoint to fetch Job Skill clusters and Skills in bulk. - Add the
Subdomainentity to enable a 4-level Taxonomy hierarchy. - Add CRUD operations for Custom Properties and Custom Property Definitions for
the following Taxonomy entities:
taxonomy/domains,taxonomy/subdomains,taxonomy/skill_clusters, andtaxonomy/skills. - Add
external_idandskill_vocabfields to thetaxonomy/exportandtaxonomy/skill_cluster/<skill_custer_id>/skillsendpoints.
August 2023
- Add
skill_idresponse body field and query parametersearch_methodtoPOST skills/search. - Add
GETandPOST /taxonomy/domainsto see all Domains and create a new Domain respectively. AddGET,PATCHandDELETE /taxonomy/domains/{external_id}to see a single Domain, update a Domain and delete a Domain respectively. - Add
GETandPOST /taxonomy/skill_clustersto see all Skill Clusters and create a new Skill Cluster respectively. AddGET,PATCHandDELETE /taxonomy/skill_clusters/{external_id}to see a single Skill Cluster, update a Skill Cluster and delete a Skill Cluster respectively. - Add
GET /taxonomy/skill_clusters/{external_id}/skillsto see all Skills in a Skill Cluster. AddPUTandDELETE /taxonomy/skill_clusters/{external_id}/skills/{skill_external_id}to add a Skill to a Skill Cluster and remove a Skill from a Skill Cluster respectively. - Add
GET /taxonomy/skills/{concept_uuid}andGET /taxonomy/skillsto get meta information of a single Skill or multiple Skills. - Add
GET /taxonomy/exportto export the full structure of the Taxonomy. - Add
POST /taxonomy/applyto apply a set of changes to the Taxonomy. - Add
skill_idto the response body ofGET job_architecture/jobs/{job_external_id}/skill_profileandGET job_architecture/job_families/{job_family_external_id}/skill_profile. - Add functionality for Jobs to not be linked to a Job Family.
- Skill Profile feedback in Skill Cluster format
(
PATCH /employees/{external_id}/skill_profile?feedback_format=skill_clusters) can now be given with askill_cluster_id. - Add
GET /job_architecture/export.
July 2023
- Add
POST /reports/job_architecture_benchmark. - Add the
include=skill_match_scoresquery parameter to thePOST /employees/{external_id}/matching_job_families, which includes match scores between the Employee and individual Skills in the response.
June 2023
- Add
POST /reports/internal_talent_mobility. - Update
POST /reports/skill_inventory. - Add
GET /employees/{employee_external_id}/interactionsandGET /employees/{employee_external_id}/interactions/{interaction_external_id}endpoints, which allow for listing all interactions of an Employee and getting a single Interaction respectively. - Deprecated the
PUT /employees/{external_id}/skill_profile,PUT /vacancies/{external_id}/skill_profile,PUT /courses/{external_id}/skill_profileandPUT /occupations/{external_id}/skill_profileendpoints. - Add
POST /employees/{employee_external_id}/matching_job_familiesendpoint, which calculates and returns matching Job Families for an Employee. Weights are not customizable, but filtering on Custom Properties, external IDs and thelast_updatedfield is allowed. - Add the
used_event_typesbody parameter to thePOST /employees/{employee_id}/matching_vacanciesendpoint, allowing to use only events of certain types to be taken into account when calculating matching Vacancies for an Employee.
May 2023
- Vacancy searching now works based on literal text matching by default. Skills based searching is still possible, as well as a combination of both.
- Allow
PATCHon SkillEvents with typeskill_notes. - Add progress to the
POST /reports/skill_inventoryendpoint. - Add
skill_cluster_idto the output of Employee, Vacancy, Course, OccupationGET /{entity}/{external_id}/skill_profile?response_format=skill_clustersendpoints, thePOST /export/employees/skill_clustersendpoint, and thePOST /vacancies/{external_id}/matching_employees?include=skill_clustersendpoint. - Add
POST /employees/{employee_external_id}/interactionsandDELETE /employees/{employee_external_id}/interactions/{interaction_external_id}endpoints, which allow the creation and deletion of Interactions between the Employee and a title or Vacancy. - Add
PATCH /job_architecture/job_families/{job_family_external_id}/skill_profileandPATCH /job_architecture/job/{job_external_id}/skill_profilewhich allow feedback on the Skill Profile of Job Families and Jobs respectively. - Add a breakdown of the matching Vacancies for a company in the results of the
/companies/searchendpoint.
April 2023
- Courses can now have a
sourcefield. When creating Skill Events from a Course with a source, the source of the Course will be used if no source is provided in the Skill Event. - Add
POST /reports/skill_inventoryendpoint to get the Skill Inventory report.
March 2023
- Add Update
/employees/{employee_external_id}/skill_events/{skill_event_external_id}endpoint to support updating an Employee’s Skill Event. - Add Job and Job Family entities to
job_architecture/jobsandjob_architecture/job_familiesendpoints respectively. - Add Job Profile Data and Job Family Profile Data to the
job_architecture/job_families/{job_family_external_id}/profile_dataandjob_architecture/jobs/{job_external_id}/profile_dataendpoints respectively. - Add
custom_property_is_in_listfilter toPOST employees/{employee_external_id}/recommended_courses. - Add the
property_valueandassigned_positionfields of an Employee to the Skill Cluster Adoption report (reports/employees/skill_cluster_adoption). - Add
GET job_architecture/jobs/{job_external_id}/skill_profileandGET job_architecture/job_families/{job_family_external_id}/skill_profileendpoints - Add
match_feedbackoption for theincludeparameter of the/employees/{employee_external_id}/matching_vacanciesand/vacancies/{vacancy_external_id}/matching_employeesendpoints, which includes feedback given to a match in the result if applicable. - Custom Properties have been added to the Job and Job Family entities. They can
be requested by using the
custom_propertiesinclude option when sending to theGET job_architecture/jobs/{job_external_id}andGET job_architecture/job_families/{job_family_external_id}endpoints. - Add Update
/job_architecture/jobs/{job_external_id}/profile_data/{profile_data_external_id}and Update/job_architecture/job_families/{job_family_external_id}/profile_data/{profile_data_external_id}endpoints to support updating Job Profile Data and Job Family Profile Data. - Create or update working history Skill Events using a
job_idatPOST /employees/{employee_external_id}/skill_eventsandPATCH /employees/{employee_external_id}/skill_events/{skill_event_external_id}respectively
February 2023
- Add the multi_max_geo_distances filter in matching for endpoints
/employees/{external_id}/matching_vacanciesand/vacancies/{external_id}/matching_employees. - Add the Succession Risk Report available under the
/reports/succession_riskendpoint. - Add the
rejected_skillsinclude option to thePOST /export/employees/skill_clustersendpoint. - Add the option to create learning Skill Events from a
course_id
January 2023
- Add
competency_typeinGET /competenciesandGET /competencies/{external_id}. - Add support for specifying the location in LocationAddress format in the MaxGeoDistanceFilter.
- Add the Replacement Risk Report available under the
/reports/replacement_riskendpoint.
December 2022
- The Get Skill Profile endpoints
/entity_type/{external_id}/skill_profilewithresponse_format=competenciesnow return Skill information. - Add
custom_property_list_overlapfilter for Employee and Vacancy matching. - Add
GET vacancies/{vacancy_external_id}/metrics/fillabilityendpoint, which calculates the fillability metric of a Vacancy. The fillability is influenced by the number of matching Employees and the number of Vacancies that can be filled by those Vacancies. More matching Employees will result in a higher fillability, and more matching Vacancies will result in a lower fillability. - Add
POST vacancies/{vacancy_external_id}/metrics/fillabilityendpoint which allows for filtering the used entities on maximal allowed distance and Custom Properties, and assigning weights to the different factors used in the fillability calculation. - Add
exclude_match_feedbackfilter toPOST employees/{employee_external_id}/recommended_coursesandPOST employees/{employee_external_id}/matching_vacancies - Add
DELETEendpoints toemployees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedbackandemployees/{employee_external_id}/courses/{course_external_id}/match_feedback - Add
include=competenciesquery parameter tovacancies/{vacancy_external_id}/matching_employees. - Add
includequery parameter for theemployees/{employee_external_id}/similarendpoint. Possible values are:entity,competenciesandcustom_properties. - Add
validation_stateto Skills returned fromGET employees/{employee_external_id}/skill_profileendpoint inlistandcompetencyformat. - Add
validation_stateto Skills returned fromPOST export/employees/competenciesendpoint. - Add
exclude_match_feedbackfilter to theemployees/searchandvacancies/searchendpoints. - Add
related_skillstoincludeinPOST export/employees/competenciesendpoint. - Adding a
proficiency_levelto a competency in the body is no longer required when sending feedback viaPUTorPATCHto/employees/{employee_external_id}/skill_profile?feedback_format=competencies - Add
score_breakdownoption for theincludeparameter of the/employees/{employee_external_id}/matching_vacanciesand/vacancies/{vacancy_external_id}/matching_employeesendpoints, which includes a breakdown of the contribution of all input weights to the total match score in the response body.
November 2022
- Add the
skill_notesevent type. - Add the Competency Adoption Report available under the
/reports/employees/competency_adoptionendpoint. - Add
POST employees/{employee_external_id}/metrics/employabilityendpoint which allows for filtering the used entities on maximal allowed distance and Custom Properties, and assigning weights to the different factors used in the calculation. - Add
PATCHendpoint tovacancies/{external_id}/skill_profile,occupations/{external_id}/skill_profileandcourses/{external_id}/skill_profile. - Add
include=relevant_experiencequery parameter toemployees/{employee_external_id}/matching_vacanciesandvacancies/{vacancy_external_id}/matching_employees. - For
LocationAddressinputs,citycan be used instead ofpostal_codenow, making one of them required instead of havingpostal_coderequired. - The Get Skill Profile endpoints
/entity_type/{ID}/skill_profilewithresponse_format=competenciesnow return Skill category information.
October 2022
- Add a not equals option (
neq) to thecustom_propertyfilter. - Add
sourcesin the/export/employees/competenciesendpoint, to be able to track from which Skill Events the given competencies originate from. - Add support for addresses as an alternative for location coordinates.
August 2022
- Add
includequery parameter tovacancies/{vacancy_external_id}/matching_employeesto allow retrieving Employee information without extra calls. - Add
include=locationquery parameter option toemployees/{employee_external_id}/matching_vacancies - Add a
validation_statefield to the/export/employees/competenciesresponse. Indicating whether the competencies linked to Employees are already validated by a manager or Employee or still suggested.
July 2022
- Add a category field to the
POST /competenciesandPATCH /competencies/{external_id}endpoints to change the category of a competency.
June 2022
- Add a PATCH endpoint for Skill Profile feedback on Employees such that Skill profiles can be partially updated.
- Add
last_updatedfilter for Employee and Vacancy matching. - Add an experimental
POST /export/employees/competenciesendpoint for extracting Employee competencies and Skills from the API.
May 2022
- Change how the
GET /competencies/{external_id}/skill_profileendpoint returns Skill Profiles for clients who use a Taxonomy managed by TechWolf.
April 2022
- Add support for
projectandcertificateSkill Events. - Add support for explicit
working_history,education_history, andresume_documentSkill Events.
March 2022
- Add support for
feedbackandgoalSkill Events.
February 2022
- Add
includequery parameter toemployees/{employee_external_id}/recommended_coursesto allow retrieving Course information without extra calls.
January 2022
- Add Delete
/employees/{employee_external_id}/skill_events/{skill_event_external_id}endpoint to support removing an Employee’s Skill Event from the API. - Add GET
/employees/{employee_external_id}/skill_eventsendpoint to support fetching an Employee’s Skill Events of a specified type in the API. The only allowed event type is alearning_event. - Add POST
/employees/{employee_external_id}/skill_eventsendpoint to support the creation of Skill Events in the API. The only allowed event type is alearning_event.
December 2021
- Add
/employees/{employee_external_id}/recommended_coursesendpoint, returning the recommended Courses to improve an Employee’s Skill Profile. - Removed Certificates from Employees and all its functionalities.
- The Custom Property weights for the matching endpoints now support the
custom_property_contains,custom_property_contains_element,custom_property_is_inandcustom_property_is_in_listconfigurations. Match scores are increased when the applied condition on the matching entities’ specified Custom Property checks out. - The matching endpoints now support the
languageweight configurations. Match scores are increased when the matching entities’ language levels fall between a range of the source entity language levels.
October 2021
- All endpoints supporting the
explainedresponse format now return additional category information when the explained response format is requested. - The Get Skill Profile endpoints
/entity_type/{ID}/skill_profilenow supportresponse_format=categoriesand thereby return Skill category information. - The Skill Search endpoint
/skills/searchnow returns Skill category information. - The Search endpoints now support German (
de) language. - You can now create and update entities in German with the
language=dequery parameter. - The Reskilling & Deployment report now provides information for key missing Skills on an Employee-level.
September 2021
- The
/employees/{employee_external_id}/vacancies/{vacancy_external_id}/matchendpoint withresponse_format=explainedquery parameter now returns the body with missing Skills included under themissing_skillskey. - Add external Company hiring activity profiling with NACE-codes under the
/companies/{external_id}/naceendpoint. - Add the Reskilling & Deployment Report available under the
/reports/reskilling_and_deploymentendpoint. - Reskilling & Deployment report now supports a Qlik-friendly CSV output format.
- Reskilling & Deployment report now supports
score_min_threshold. - The
external_id_is_in_listfilter is now supported for the Job Matching and external Company Matching endpoints. Additionally, this filter is also supported for the Search and Similar endpoints of Employee, Vacancy, and external Company.
August 2021
- The Employability metric now takes into account the supply of Employees that could fill in the demand as well.
- The Search endpoints now support an optional
languagequery parameter, to indicate the language of the input text.
July 2021
companies/:external_id/desired_functionsnow supports thePUTmethod. Calling this method replaces all existing desired function Vacancies with the new set.- Similar Entity endpoints now support
score_min_threshold. - Similar Entity endpoints now support Custom Property filters.
- Similar Entity endpoints for Employees and Vacancies now support location and language based filters.
- Similar Entity endpoints now support Custom Property weights.
- Similar Entity endpoints for Employees and Vacancies now support location weight.
June 2021
- Add the option to override the location used for geo-distance calculation in matching request filters.
max_geo_distancefield on Employee entities was deprecated.- remove
max_geo_distancefield on Employee entities.
May 2021
- You can now use a Vacancy-prefix when looking for matching external Companies such that filtering and weighting is based on the Custom Properties of the Vacancies associated with the external company, rather than the external company itself.
April 2021
- Add strict parameter to entity creation and update operations (Employees, Competencies, Courses, Documents, Occupations, Vacancies).
- Change the outward facing side of (non-)desired functions during Employee creation. Output and input now better reflect internal results.
- Add languages field to external Companies.
- You can now add a geo distance weight to the matching endpoints. Match scores are increased when two entities are in proximity to each other.
- You can now add Custom Property weights to the matching endpoints. Match scores are increased when the applied condition on the matching entities’ specified Custom Property checks out.
- Extraction language can now be specified for the POST
companies/{external_id}/desired_functionsendpoint.
March 2021
- You can now specify the non-desired functions when creating or updating an Employee to take their negative preference into account when matching to new positions.
- You can now modify the non-desired functions boost used during matching by
setting the appropriate weight on the match endpoints
employees/{external_id}/matching_vacanciesandvacancies/{external_id}/matching_employees. - You can now submit multiple desired functions linked to a given External
Company through a single multiline string using the new
request_format=free_textquery parameter on the/companies/{external_id}/desired_functionsendpoint. - You can now submit free text, multiline strings desired functions &
non-desired functions for an Employee through the
desired_functions&non_desired_functionsattributes. - You can now search for Vacancies and external Companies based on free text,
through the endpoints
/vacancies/searchand/companies/search. - You can now add datetime-typed Custom Properties.
- You can now provide a list of filters when searching for entities using free
text through the endpoints
/employees/search,/vacancies/searchand/companies/search. - You can now provide multiple values (as a list) when using the
custom_property_contains_elementfilter. Entities will not be filtered out if they contain at least one of the provided values in the list Custom Property. - You can now specify the comparison operator when using the
custom_propertyfilter. If no operator is specified, the filter defaults to theequalsoperator. - You can now specify an offset on matching endpoints for
employees,vacanciesandcompanies. - You can now specify an offset on search endpoints for
employees,vacanciesandcompanies. - You can now pass the
nullvalue for optional fields during creation and updating of all entities. Passing thenullvalue during an update will unset the entity’s attribute. Objects will be unset asnull, arrays as the empty array[]and strings as the empty string''. - External Companies now support Custom Properties.
- (Non-)desired function score boosting is now calculated relative to the relevancy of the function title, instead of a binary boost on occurrence of a title.
- You can now provide a list of filters at the match endpoints
employees/{external_id}/matching_companiesandcompanies/{external_id}/matching_employees. This will be used to filter out entities that do not need to be considered during matching. - You can now provide a list of weights at the match endpoints
employees/{external_id}/matching_companiesandcompanies/{external_id}/matching_employees. The weights can override some default weights during matching (e.g. desired functions boost). - Custom Property definitions are no longer allowed to contain double underscores in their name.
- You can now set the weight of the skills-related match component contributing to the final match score (this was previously hard-coded to 1.0).
- You can now filter on the Custom Properties of External Companies linked to a Vacancy, when matching Employees to Vacancies and vice versa.
February 2021
- You can now search for Employees based on free text, through the endpoint
/employees/search. - You can add an (optional) External Company link to a Vacancy, through the
endpoint
/vacanciesand attributecompany. - You can now list, create, retrieve, update and delete External Companies
through the endpoints
/companies/*. - You can now optionally mark Vacancies as inactive using the field
active. When this is field has the valuefalse, the Vacancy will not be used for matching. - Deleting External Companies now deletes all linked inactive Vacancies in cascade.
- You can now find the best Employees for a given External Company with an
overview of its matching Vacancies, through the endpoint
/companies/{external_id}/matching_employees. - You can now find the best External Companies for a given Employee with an
overview of the matching Vacancies per External Company, through the endpoint
/employees/{external_id}/matching_companies. - You can now upload desired functions as inactive Vacancies linked to a given
External Company, through the endpoint
/companies/{external_id}/desired_functions. - You can now see when an entity was last updated by checking the attribute
last_updatedupon entity retrieval. - You can now provide a list of filters at the match endpoints
employees/{external_id}/matching_vacanciesandvacancies/{external_id}/matching_employees. This will be used to filter out entities that do not need to be considered during matching. - You can now provide a list of languages with proficiency levels during Vacancy creation.
- You can now provide a list of weights at the match endpoints
employees/{external_id}/matching_vacanciesandvacancies/{external_id}/matching_employees. The weights can override some default weights during matching (e.g. desired functions boost). - The POST-type methods on
matching_vacanciesandmatching_employeesare now the preferred way to request the matches. - You can now add a list of strings as a Custom Property.
- You can now explicitly provide the language used in Skill Profile extraction
during entity creation/update using the
languagequery parameter. Supported languages areauto,nl,franden. - You can now optionally add a Job description to the entries in the working_history of an Employee. These descriptions will also be used for Skill extraction.
January 2021
- You can add a (optional)
max_geo_distanceattribute when creating an Employee through the endpoint/employees. This is used for matching if there is nomax_geo_distance. provided as query parameter. The default distance in our system when nothing is provided, is 50 km.